package org.springblade.estate.feign;

import org.springblade.estate.entity.CarOutRecord;
import org.springblade.estate.vo.CarOutRecordVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class CarOutRecordClientFallback implements ICarOutRecordClient {
            /**
         * 详情
         */
        @Override
        public CarOutRecordVO detail(CarOutRecord carOutRecord) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<CarOutRecordVO> list(CarOutRecord carOutRecord) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( CarOutRecord carOutRecord) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( CarOutRecord carOutRecord) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( CarOutRecord carOutRecord) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public int count(CarOutRecordVO carOutRecordVO) {
		return 0;
	}

}
